package com.its.vms.xnettcp.vms.process.response;

import com.its.app.utils.NettyUtils;
import com.its.vms.config.CommunicationConfig;
import com.its.vms.entity.TbVmsCtlr;
import io.netty.channel.ChannelHandlerContext;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class NullResponse implements VmsResponse {
    private TbVmsCtlr obj;
    private ChannelHandlerContext ctx;

    @Override
    public boolean response(CommunicationConfig communicationConfig) {
        // 처리내용 없음. 여기들어오면 패킷이 잘못된 것임
        String ipAddress = NettyUtils.getRemoteIpAddress(this.ctx.channel());
        log.info("NullResponse.response: {}", ipAddress);
        return true;
    }
}
